LocalMethod (JEL API)
Date: 2016-05-09

gnu.jel

## Class LocalMethod

- java.lang.Object
- - gnu.jel.LocalField
  - - gnu.jel.LocalMethod

- All Implemented Interfaces:
    java.lang.reflect.Member

      public class LocalMethod
      extends LocalField

  Represents a method local to the class being compiled.

- - ### Field Summary

    - ### Fields inherited from interface java.lang.reflect.Member

      `DECLARED, PUBLIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalMethod(int modifiers, java.lang.Class<?> type, java.lang.String name, java.lang.Class<?>[] paramTypes, java.lang.Class<?>[] exceptions)` Constructs a new local method.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>[]` | `getExceptionTypes()` Used to get checked exceptions thrown by this method
    `java.lang.Class<?>[]` | `getParameterTypes()` Used to obtain types of formal parameters of this method.

    - ### Methods inherited from class gnu.jel.LocalField

      `getConstValue, getDeclaringClass, getModifiers, getName, getType, isSynthetic`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalMethod

          public LocalMethod(int modifiers,
                     java.lang.Class<?> type,
                     java.lang.String name,
                     java.lang.Class<?>[] paramTypes,
                     java.lang.Class<?>[] exceptions)

      Constructs a new local method.
      Parameters:
        `modifiers` - sum of one or more of `PUBLIC`, `PRIVATE`, `PROTECTED`,`STATIC`, `FINAL`, `SYNCHRONIZED`, `NATIVE`, `ABSTRACT` constants of java.lang.reflect.Modifier .
        `type` - type of the return value.
        `name` - name of the method
        `paramTypes` - array of types of formal parameters excluding "this" (null means no parameters).
        `exceptions` - checked exceptions thrown

  - ### Method Detail

    - #### getParameterTypes

          public java.lang.Class<?>[] getParameterTypes()

      Used to obtain types of formal parameters of this method.
      Returns:
        array of classes representing formal parameters of the method except "this"

    - #### getExceptionTypes

          public java.lang.Class<?>[] getExceptionTypes()

      Used to get checked exceptions thrown by this method
      Returns:
        array of checked exceptions

Copyright © 1998-2016 Konstantin L. Metlov All Rights Reserved.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the JEL manual.